diff --git a/changelog b/changelog
index f8f6e9f..beaca4a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,7 @@
+20081205 tpd src/axiom-website/patches.html 20081205.01.tpd.patch
+20081205 tpd src/algebra/integer.spad fix r21bugsbig regression
+20081205 tpd src/input/r20bugs.input.pamphlet fix regression
+20081204 tpd src/axiom-website/patches.html 20081204.01.tpd.patch
 20081204 tpd src/input/r21bugsbig.input cleanup
 20081204 tpd src/algebra/zerodim.spad cleanup
 20081204 tpd src/input/void.input cleanup
diff --git a/src/algebra/integer.spad.pamphlet b/src/algebra/integer.spad.pamphlet
index 5f5a068..16ac727 100644
--- a/src/algebra/integer.spad.pamphlet
+++ b/src/algebra/integer.spad.pamphlet
@@ -10,10 +10,6 @@
 \tableofcontents
 \eject
 \section{package INTSLPE IntegerSolveLinearPolynomialEquation}
-<<dot>>=
-"INTSLPE" -> "PACKAGE"
-"IntegerSolveLinearPolynomialEquation()" -> "Package"
-@
 <<package INTSLPE IntegerSolveLinearPolynomialEquation>>=
 )abbrev package INTSLPE IntegerSolveLinearPolynomialEquation
 ++ Author: Davenport
@@ -726,14 +722,6 @@ o )show Integer
 o $AXIOM/doc/src/algebra/integer.spad.dvi
 
 @
-<<dot>>=
-"INT" -> "INS"
-"Integer()" -> "IntegerNumberSystem()"
-"INT" -> "KONVERT"
-"Integer()" -> "ConvertibleTo(String)"
-"INT" -> "OM"
-"Integer()" -> "OpenMath()"
-@
 <<domain INT Integer>>=
 )abbrev domain INT Integer
 ++ Author:
@@ -1123,12 +1111,6 @@ Note that this code is not included in the generated catdef.spad file.
 (MAKEPROP (QUOTE |Integer|) (QUOTE NILADIC) T) 
 @
 \section{domain NNI NonNegativeInteger}
-<<dot>>=
-"NNI" -> "OAMONS"
-"NonNegativeInteger()" -> "OrderedAbelianMonoidSup()"
-"NNI" -> "MONOID"
-"NonNegativeInteger()" -> "Monoid()"
-@
 <<domain NNI NonNegativeInteger>>=
 )abbrev domain NNI NonNegativeInteger
 ++ Author:
@@ -1331,12 +1313,6 @@ Note that this code is not included in the generated catdef.spad file.
 
 @
 \section{domain PI PositiveInteger}
-<<dot>>=
-"PI" -> "OASGP"
-"PositiveInteger()" -> "OrderedAbelianSemiGroup()"
-"PI" -> "MONOID"
-"PositiveInteger()" -> "Monoid()"
-@
 <<domain PI PositiveInteger>>=
 )abbrev domain PI PositiveInteger
 ++ Author:
@@ -1347,7 +1323,7 @@ Note that this code is not included in the generated catdef.spad file.
 ++ Keywords: positive integer
 ++ Description: \spadtype{PositiveInteger} provides functions for
 ++   positive integers.
-PositiveInteger: Join(OrderedAbelianSemiGroup,Monoid) with
+PositiveInteger: Join(AbelianSemiGroup,OrderedSet,Monoid) with
             gcd: (%,%) -> %
               ++ gcd(a,b) computes the greatest common divisor of two
               ++ positive integers \spad{a} and b.
@@ -1743,10 +1719,6 @@ o )show RomanNumeral
 o $AXIOM/doc/src/algebra/integer.spad.dvi
 
 @
-<<dot>>=
-"ROMAN" -> "INS"
-"RomanNumeral()" -> "IntegerNumberSystem()"
-@
 <<domain ROMAN RomanNumeral>>=
 )abbrev domain ROMAN RomanNumeral
 ++ Author:
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e943b24..6b6b24c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -779,6 +779,10 @@ website download.html add Doyen Thumbdrive <br/>
 bookvol10.3 add domains<br/>
 <a href="patches/20081204.01.tpd.patch">20081204.01.tpd.patch</a>
 website update screenshots<br/>
+<a href="patches/20081204.02.tpd.patch">20081204.02.tpd.patch</a>
+clean up input regression files<br/>
+<a href="patches/20081204.02.tpd.patch">20081204.02.tpd.patch</a>
+bug 7161: integer.spad remove signature change<br/>
 
  </body>
 </html>
\ No newline at end of file
diff --git a/src/input/r20bugs.input.pamphlet b/src/input/r20bugs.input.pamphlet
index 2fa8660..d91d6ff 100644
--- a/src/input/r20bugs.input.pamphlet
+++ b/src/input/r20bugs.input.pamphlet
@@ -196,7 +196,8 @@ positiveRemainder(-1::SINT,-5::SINT)
 complexRoots([u**2-v+1,v**2-4],[u,v],0.01)
 --R 
 --R
---R   (1)  [[1.73046875 %i,- 2.0],[- 1.73046875 %i,- 2.0],[- 1.0,2.0],[1.0,2.0]]
+--R   (1)
+--R   [[1.732421875 %i,- 2.0],[- 1.732421875 %i,- 2.0],[- 1.0,2.0],[1.0,2.0]]
 --R                                                Type: List List Complex Float
 --E 17
 
